Summary:	GNOME screen ruler
Name:		screenruler
Version:	0.96
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		https://launchpad.net/screenruler/
Source0:	http://launchpad.net/screenruler/trunk/0.9.6/+download/%{name}-0.9.6.tar.gz
Source1:	screenruler.desktop
Patch0:		screenruler-ruby19.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
Requires:	ruby
Requires:	rubygem-gtk2 rubygem-cairo rubygem-gettext
Obsoletes:	gruler < 0.85
Provides:	gruler = %{version}-%{release}

BuildArch:	noarch

%description
Screenruler is a small GNOME based utility that allows you to measure objects 
on your desktop. It can be used to take both horizontal and vertical
measurement in 6 different metrics: pixels, centimeters, inches, picas, points,
and as a percentage of the ruler’s length.

%prep
%setup -q -n %{name}
%patch0 -p0 -b ruby19

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}

cat << EOF > screenruler
#!/bin/bash

cd %{_datadir}/%{name}
ruby ./screenruler.rb
EOF
chmod 0755 screenruler

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p screenruler %{buildroot}%{_bindir}/
cp -p screenruler-icon*.png %{buildroot}%{_datadir}/pixmaps/
cp -pr utils *.rb screenruler*.* *.glade %{buildroot}%{_datadir}/%{name}/
cd %{buildroot}%{_datadir}/pixmaps
 ln -s ./screenruler-icon-32x32.png screenruler-icon.png

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
	--vendor="fedora"				\
%endif
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications		\
	%{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING 
%{_bindir}/screenruler
%{_datadir}/screenruler/
%{_datadir}/pixmaps/screenruler-icon*.png
%{_datadir}/applications/*.desktop

%changelog
* Mon Jun 10 2013 Deji Akingunola <dakingun@gmail.com> - 0.96-1
- Update to the latest upstream release
- Patch to wirk with ruby-1.9 (Russell Harrison, BZ #831501)

* Mon Feb 25 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.90-0.5.bzr27
- Remove --vendor from desktop-file-install for F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90-0.4.bzr27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90-0.3.bzr27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90-0.2.bzr27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 20 2011 Deji Akingunola <dakingun@gmail.com> - 0.90-0.1
- Update to 0.9 bzr snapshot

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 01 2008 Deji Akingunola <dakingun@gmail.com> - 0.85-2
- Spec clean-ups from package review 

* Mon Sep 22 2008 Deji Akingunola <dakingun@gmail.com> - 0.85-1
- Follow upstream renaming to Screenruler

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-3
- Package review update (Bugzilla #430455)

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-2
- Explicitly require ruby
- Also require versions of ruby-libglade2 which have been fixed of bug 428781

* Mon Jan 14 2008 Deji Akingunola <dakingun@gmail.com> - 0.8-1
- Initial package
